summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen2016-01-10 06:22:41 +0100
committer Willy Sudiarto Raharjo2016-01-10 06:22:41 +0100
commita3db61adc264995ceac4a29d807db81c53a3bb95 (patch)
tree99c827e6dc577fc20e7b98c6e66246f2c5b930fa /games
parent0c3cbf9371756f16da56386f0fd49a14ddf331ee (diff)
downloadslackbuilds-a3db61adc264995ceac4a29d807db81c53a3bb95.tar.gz
games/nuvie: Added (New Ultima VI Engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/nuvie/README11
-rw-r--r--games/nuvie/doinst.sh35
-rw-r--r--games/nuvie/nuvie.SlackBuild100
-rw-r--r--games/nuvie/nuvie.info10
-rw-r--r--games/nuvie/slack-desc19
5 files changed, 175 insertions, 0 deletions
diff --git a/games/nuvie/README b/games/nuvie/README
new file mode 100644
index 0000000000..4e6eb189f1
--- /dev/null
+++ b/games/nuvie/README
@@ -0,0 +1,11 @@
+nuvie (New Ultima VI Engine)
+
+Nuvie, pronounced 'New-Vee' is an open sourced game engine for playing Origin's games
+Ultima 6, Martian Dreams and Savage Empire on modern operating systems. Ultima 6 is
+fully playable from start to finish with Nuvie. Nuvie also contains many enhancements
+to the original game engine including new UI modes, featuring drag'n'drop and full map
+view mode. Alternate graphics are also supported.
+
+The game data required for using nuvie is not included and must be acquired separately.
+The data directory from an Ultima collection CD is enough. The game data's location has
+to be specified in /usr/share/nivie/nivie.cfg or in $HOME/.nivierc.
diff --git a/games/nuvie/doinst.sh b/games/nuvie/doinst.sh
new file mode 100644
index 0000000000..10df7d698e
--- /dev/null
+++ b/games/nuvie/doinst.sh
@@ -0,0 +1,35 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms usr/share/nuvie/nuvie.cfg.new
diff --git a/games/nuvie/nuvie.SlackBuild b/games/nuvie/nuvie.SlackBuild
new file mode 100644
index 0000000000..79af657479
--- /dev/null
+++ b/games/nuvie/nuvie.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for nuvie
+
+# Copyright 2016 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nuvie
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Copy missing data files
+cp -aR data/{images,maps,scripts} $PKG/usr/share/$PRGNAM
+
+# Install nuvie.cfg
+install -Dm0644 $PRGNAM.cfg.sample $PKG/usr/share/$PRGNAM/$PRGNAM.cfg.new
+sed -i "s|./data|/usr/share/$PRGNAM|" $PKG/usr/share/$PRGNAM/$PRGNAM.cfg.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO $PRGNAM.cfg.sample $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/nuvie/nuvie.info b/games/nuvie/nuvie.info
new file mode 100644
index 0000000000..09c5da4f02
--- /dev/null
+++ b/games/nuvie/nuvie.info
@@ -0,0 +1,10 @@
+PRGNAM="nuvie"
+VERSION="0.5"
+HOMEPAGE="http://nuvie.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/project/nuvie/Nuvie/0.5/nuvie-0.5.tgz"
+MD5SUM="49a7829c576d5203de38b3bc224c2009"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com" \ No newline at end of file
diff --git a/games/nuvie/slack-desc b/games/nuvie/slack-desc
new file mode 100644
index 0000000000..4e50fd2e7d
--- /dev/null
+++ b/games/nuvie/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nuvie: nuvie (New Ultima VI Engine)
+nuvie:
+nuvie: Nuvie (Pronounced New-Vee) is an open source engine for Origin's games
+nuvie: Ultima 6, Martian Dreams and The Savage Empire. It uses the original
+nuvie: data files from the games. It should be able to run on any platform
+nuvie: that is supported by the SDL library.
+nuvie:
+nuvie: Homepage: http://nuvie.sourceforge.net
+nuvie:
+nuvie:
+nuvie: